Package org.eclipse.emf.cdo.server

## Interface CDOServerImporter.Handler2

- All Superinterfaces:
    `CDOLobHandler`, `CDORevisionHandler`, `CDOServerImporter.Handler`
  Enclosing class:
    CDOServerImporter

      public static interface CDOServerImporter.Handler2
      extends CDOServerImporter.Handler

  Persists the data that has been read by a `importer` into a new `repository`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

      `CDORevisionHandler.Filtered`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleCommitInfo​(long time, long previous, int branch, java.lang.String user, java.lang.String comment, int mergeSourceBranchID, long mergeSourceTime)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobHandler

      `handleBlob, handleClob`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

      `handleRevision`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerImporter.Handler

      `flush, handleBranch, handleCommitInfo, handleModels, handlePackageInfo, handlePackageUnit, handleRepository`

- - ### Method Detail

    - #### handleCommitInfo

          void handleCommitInfo​(long time,
                                long previous,
                                int branch,
                                java.lang.String user,
                                java.lang.String comment,
                                int mergeSourceBranchID,
                                long mergeSourceTime)